Критические уязвимости в WordPress-плагинах, имеющих более 400 тысяч установок

В трех популярных плагинах для системы управления web-контентом WordPress, насчитывающих более 400 тысяч установок, выявлены критические уязвимости:

  • Уязвимость в плагине InfiniteWP Client, имеющем более 300 тысяч активных установок, позволяет подключиться без прохождения аутентификации в качестве администратора сайта. Так как плагин предназначен для унификации управления несколькими сайтами на сервере, атакующий может получить контроль сразу за всеми сайтами, обслуживаемыми с использованием InfiniteWP Client. Для атаки достаточно знать логин пользователя, имеющего права администратора, после чего через отправку специально оформленного POST-запроса (указав параметр “add_site” или “readd_site”) можно войти в интерфейс управления с правами данного пользователя. Уязвимость вызвана ошибкой в реализации функции автоматического входа. Проблема устранена в выпуске InfiniteWP Client 1.9.4.5.
  • Две уязвимости в плагине WP Database Reset, который используется примерно на 80 тысячах сайтов. Первая уязвимость позволяет без прохождения аутентификации сбросить в начальное состояние содержимое любых таблиц в БД (привести к состоянию свежей установки WordPress, удалив связанные с сайтом данные). Проблема вызвана отсутствием проверки на наличие полномочий при выполнении функции сброса.Вторая уязвимость в WP Database Reset требует наличия аутентифицированного доступа (достаточно наличия учётной записи с минимальными правами подписчика) и позволяет получить привилегии администратора сайта (можно добиться удаления всех пользователей из таблицы wp_users, после чего текущий оставшийся пользователь будет обрабатываться как администратор). Проблемы устранены в выпуске 3.15.
  • Уязвимость в плагине WP Time Capsule, имеющем более 20 тысяч установок, позволяет подключиться с правами администратора без прохождения аутентификации. Для осуществления атаки достаточно добавить в POST-запрос строку IWP_JSON_PREFIX, при наличии которой без каких-либо проверок вызывается функция wptc_login_as_admin. Проблема устранена в выпуске 1.21.16.
    Критические уязвимости в WordPress-плагинах, имеющих более 400 тысяч установок

Источник: OpenNET

Добавить комментарий